Quests Públicas
Listar Quests
Lista quests e pesquisas públicas da empresa
GET
/
api
/
v1
/
public
/
quests
Listar quests
curl --request GET \
--url https://api.indiqai.com/api/v1/public/quests \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://api.indiqai.com/api/v1/public/quests"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://api.indiqai.com/api/v1/public/quests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"quest_id": "<string>",
"title": "<string>",
"type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"responses_total": 0,
"status": "active"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Listar Quests
Lista quests da empresa com filtros opcionais por tipo e status.Headers
Chave de API
Query Parameters
Tipo: nps, csat, engagement, survey, etc.
Status: "active" ou "closed"
Was this page helpful?
⌘I
Listar quests

